%define name SDL_ttf
%define version 1.2.1
%define release 1mdk

Summary: Simple DirectMedia Layer - Sample TrueType Font Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: LGPL
Group: System/Libraries
BuildRequires: SDL-devel, XFree86-devel, audiofile-devel, esound-devel, freetype-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.libsdl.org/projects/SDL_ttf/
Prefix: %{_prefix}
Requires: SDL >= 1.1

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/C
Requires: %{name}
Requires: SDL-devel

%description devel
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/showfont
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Wed Aug 30 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- updated URL.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
